Overview
POST
/account/mfa/webauthn/register/verifymfaComplete passkey/security-key registration
Create a record in verify.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- tokenstring
Registration challenge token
- responseobject
RegistrationResponseJSON
- nameoptionalstring
Example
{
"token": "string",
"response": {},
"name": "string"
}Responses
201
Success
- okboolean
Example
{
"ok": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/account/mfa/webauthn/register/verify" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"token": "string",
"response": {},
"name": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/account/mfa/webauthn/register/verify", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"token\": \"string\",\n \"response\": {},\n \"name\": \"string\"\n}",
});
const data = await res.json();